commit:     27c7624d158e5b26e53564911c696165bc749b96
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  9 19:24:24 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Apr  9 19:31:31 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27c7624d

games-fps/ut2003-bonuspack-epic: port to EAPI 7, games.eclass--

Signed-off-by: Sam James <sam <AT> gentoo.org>

 ...-1.ebuild => ut2003-bonuspack-epic-1-r1.ebuild} | 26 ++++++++++------------
 1 file changed, 12 insertions(+), 14 deletions(-)

diff --git a/games-fps/ut2003-bonuspack-epic/ut2003-bonuspack-epic-1.ebuild 
b/games-fps/ut2003-bonuspack-epic/ut2003-bonuspack-epic-1-r1.ebuild
similarity index 88%
rename from games-fps/ut2003-bonuspack-epic/ut2003-bonuspack-epic-1.ebuild
rename to games-fps/ut2003-bonuspack-epic/ut2003-bonuspack-epic-1-r1.ebuild
index 00d2d8927ee..70fff75aec7 100644
--- a/games-fps/ut2003-bonuspack-epic/ut2003-bonuspack-epic-1.ebuild
+++ b/games-fps/ut2003-bonuspack-epic/ut2003-bonuspack-epic-1-r1.ebuild
@@ -1,29 +1,30 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit games
+EAPI=7
 
 DESCRIPTION="Epic Bonus Pack for UT2003"
 HOMEPAGE="https://www.moddb.com/games/unreal-tournament-2003";
 
SRC_URI="http://ftp.student.utwente.nl/pub/games/UT2003/BonusPack/UT2003-epicbonuspackone.exe";
+S="${WORKDIR}"/UT2003-BonusPack
 
 LICENSE="ut2003"
 SLOT="1"
 KEYWORDS="~x86"
-IUSE=""
 RESTRICT="strip"
 
-DEPEND="app-arch/unzip"
-RDEPEND="games-fps/ut2003"
+RDEPEND="
+       acct-group/gamestat
+       games-fps/ut2003
+"
+BDEPEND="app-arch/unzip"
 
-S=${WORKDIR}/UT2003-BonusPack
-
-dir=${GAMES_PREFIX_OPT}/ut2003
-Ddir=${D}/${dir}
+dir=opt/ut2003
+Ddir="${ED}"/${dir}
 
 src_unpack() {
        unzip -qq "${DISTDIR}"/${A} || die
+
        # This is done since the files are the same
        rm -f "${S}"/Textures/LastManStanding.utx || die
 }
@@ -39,12 +40,9 @@ src_install() {
        cp -r "${S}"/{Maps,Sounds,StaticMeshes,Textures} "${Ddir}" || die
        cp "${S}"/System/{*.{det,est,frt,int,itt,kot,tmt,u},User.ini} 
"${Ddir}"/System || die
        cp -v "${S}"/System/Manifest.ini "${Ddir}"/System/Manifest.ini.epic || 
die
-
-       prepgamesdirs
 }
 
 pkg_postinst() {
-       games_pkg_postinst
        elog "You will need to run:"
        elog "emerge --config =${CATEGORY}/${PF}"
        elog "to make the necessary changes to the system .ini files."
@@ -106,5 +104,5 @@ EOT
 
        cp DefUser.ini DefUser.ini.pre-epic || die
        sed -i 's/^F11=.*$/F11=MusicMenu/g' DefUser.ini || die
-       chown games:games ${dir}/System/*.ini || die
+       chown :gamestat "${dir}"/System/*.ini || die
 }

Reply via email to